Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::BadQuery Class Reference

Exception thrown when MySQL encounters a problem while processing your query. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadQuery:

[legend]
Collaboration diagram for mysqlpp::BadQuery:

[legend]
List of all members.

## Public Methods

| BadQuery (const char *w="")
| Create exception object, taking C string.
| BadQuery (const std::string &w)
| Create exception object, taking C++ string.

## Detailed Description

Exception thrown when MySQL encounters a problem while processing your query.

This exception is typically only thrown when the server rejects a SQL query. In v1.7, it was used as a more generic exception type, for no particularly good reason.

The documentation for this class was generated from the following file:

- exceptions.h